=== debian/changelog ===
ros-humble-rmw-fastrtps-shared-cpp (6.2.3-1jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.2.2-1jammy) jammy; urgency=high

  * Use Fast-DDS Waitsets instead of listeners (backport #619 <https://github.com/ros2/rmw_fastrtps/issues/619>) (#633 <https://github.com/ros2/rmw_fastrtps/issues/633>)
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.2.1-1jammy) jammy; urgency=high

  * Address linter waning for windows. (#592 <https://github.com/ros2/rmw_fastrtps/issues/592>)
  * Add pub/sub init, publish and take instrumentation using tracetools (#591 <https://github.com/ros2/rmw_fastrtps/issues/591>)
  * Add content filter topic feature (#513 <https://github.com/ros2/rmw_fastrtps/issues/513>)
  * Add sequence numbers to message info structure (#587 <https://github.com/ros2/rmw_fastrtps/issues/587>)
  * Contributors: Chen Lihui, Christophe Bedard, Ivan Santiago Paunovic, Tomoya Fujita

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.2.0-1jammy) jammy; urgency=high

  * Add EventsExecutor (#468 <https://github.com/ros2/rmw_fastrtps/issues/468>)
  * Complete events support (#583 <https://github.com/ros2/rmw_fastrtps/issues/583>)
  * Install headers to include/${PROJECT_NAME} (#578 <https://github.com/ros2/rmw_fastrtps/issues/578>)
  * Change default to synchronous (#571 <https://github.com/ros2/rmw_fastrtps/issues/571>)
  * Contributors: Audrow Nash, Miguel Company, Shane Loretz, iRobot ROS

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.1.2-1jammy) jammy; urgency=high

  * Fix cpplint error (#574 <https://github.com/ros2/rmw_fastrtps/issues/574>)
  * Contributors: Jacob Perron

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.1.1-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#572 <https://github.com/ros2/rmw_fastrtps/issues/572>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.1.0-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#560 <https://github.com/ros2/rmw_fastrtps/issues/560>)
  * Fix QoS depth settings for clients/service being ignored. (#564 <https://github.com/ros2/rmw_fastrtps/issues/564>)
  * Contributors: Chen Lihui, mauropasse

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 19 Nov 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.0.0-1jammy) jammy; urgency=high

  * Update rmw_context_impl_t definition. (#558 <https://github.com/ros2/rmw_fastrtps/issues/558>)
  * Update the LoanManager to do internal locking. (#552 <https://github.com/ros2/rmw_fastrtps/issues/552>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 15 Sep 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (5.2.2-1jammy) jammy; urgency=high

  * Pass the CRL down to Fast-DDS if available. (#546 <https://github.com/ros2/rmw_fastrtps/issues/546>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 09 Aug 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (5.2.1-1jammy) jammy; urgency=high

  * Use the new rmw_dds_common::get_security_files (#544 <https://github.com/ros2/rmw_fastrtps/issues/544>)
  * Support for SubscriptionOptions::ignore_local_publications (#536 <https://github.com/ros2/rmw_fastrtps/issues/536>)
  * Change links from index.ros.org -> docs.ros.org (#539 <https://github.com/ros2/rmw_fastrtps/issues/539>)
  * Contributors: Chris Lalancette, Jose Antonio Moral

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 30 Jun 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (5.2.0-1jammy) jammy; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#519 <https://github.com/ros2/rmw_fastrtps/issues/519>)
  * Contributors: Barry Xu

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 04 Jun 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (5.1.0-1jammy) jammy; urgency=high

  * Loan messages implementation (#523 <https://github.com/ros2/rmw_fastrtps/issues/523>)
    * Added is_plain_ attribute to base TypeSupport.
    * Added new methods to base TypeSupport.
    * Implementation of rmw_borrow_loaned_message.
    * Implementation of rmw_return_loaned_message_from_publisher.
    * Enable loan messages on publishers of plain types.
    * Implementation for taking loaned messages.
    * Enable loan messages on subscriptions of plain types.
  * Export rmw_dds_common as an rmw_fastrtps_shared_cpp dependency (#530 <https://github.com/ros2/rmw_fastrtps/issues/530>)
  * Update includes after rcutils/get_env.h deprecation (#529 <https://github.com/ros2/rmw_fastrtps/issues/529>)
  * Contributors: Christophe Bedard, Michel Hidalgo, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 12 May 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (5.0.0-1jammy) jammy; urgency=high

  * Refactor to use DDS standard API (#518 <https://github.com/ros2/rmw_fastrtps/issues/518>)
  * Unique network flows (#502 <https://github.com/ros2/rmw_fastrtps/issues/502>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#520 <https://github.com/ros2/rmw_fastrtps/issues/520>)
  * Contributors: Miguel Company, shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (4.5.0-1jammy) jammy; urgency=high

  * Take and return new RMW_DURATION_INFINITE correctly (#515 <https://github.com/ros2/rmw_fastrtps/issues/515>)
  * Contributors: Emerson Knapp

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 00:00:00 -0000


