## ros-humble-rmw-fastrtps-shared-cpp 6.2.6

=== debian/changelog ===
ros-humble-rmw-fastrtps-shared-cpp (6.2.6-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.2.5-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.2.4-1bookworm) bookworm; urgency=high

  * Delay lock on message callback setters (#657 <https://github.com/ros2/rmw_fastrtps/issues/657>) (#661 <https://github.com/ros2/rmw_fastrtps/issues/661>)
  * Fix incoherent dissociate_writer to dissociate_reader (#647 <https://github.com/ros2/rmw_fastrtps/issues/647>) (#649 <https://github.com/ros2/rmw_fastrtps/issues/649>) (#651 <https://github.com/ros2/rmw_fastrtps/issues/651>)
  * Call callbacks only if unread count > 0 (#634 <https://github.com/ros2/rmw_fastrtps/issues/634>) (#638 <https://github.com/ros2/rmw_fastrtps/issues/638>)
  * Use DataWriter Qos to configure max_blocking_time on rmw_send_response (#704 <https://github.com/ros2/rmw_fastrtps/issues/704>) (#707 <https://github.com/ros2/rmw_fastrtps/issues/707>)
  * update fast-dds version into 2.6.2. (#702 <https://github.com/ros2/rmw_fastrtps/issues/702>)
  * Contributors: Tomoya Fujita, mergify[bot]

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.2.3-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.2.2-1bookworm) bookworm; urgency=high

  * Use Fast-DDS Waitsets instead of listeners (backport #619 <https://github.com/ros2/rmw_fastrtps/issues/619>) (#633 <https://github.com/ros2/rmw_fastrtps/issues/633>)
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.2.1-1bookworm) bookworm; urgency=high

  * Address linter waning for windows. (#592 <https://github.com/ros2/rmw_fastrtps/issues/592>)
  * Add pub/sub init, publish and take instrumentation using tracetools (#591 <https://github.com/ros2/rmw_fastrtps/issues/591>)
  * Add content filter topic feature (#513 <https://github.com/ros2/rmw_fastrtps/issues/513>)
  * Add sequence numbers to message info structure (#587 <https://github.com/ros2/rmw_fastrtps/issues/587>)
  * Contributors: Chen Lihui, Christophe Bedard, Ivan Santiago Paunovic, Tomoya Fujita

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.2.0-1bookworm) bookworm; urgency=high

  * Add EventsExecutor (#468 <https://github.com/ros2/rmw_fastrtps/issues/468>)
  * Complete events support (#583 <https://github.com/ros2/rmw_fastrtps/issues/583>)
  * Install headers to include/${PROJECT_NAME} (#578 <https://github.com/ros2/rmw_fastrtps/issues/578>)
  * Change default to synchronous (#571 <https://github.com/ros2/rmw_fastrtps/issues/571>)
  * Contributors: Audrow Nash, Miguel Company, Shane Loretz, iRobot ROS

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.1.2-1bookworm) bookworm; urgency=high

  * Fix cpplint error (#574 <https://github.com/ros2/rmw_fastrtps/issues/574>)
  * Contributors: Jacob Perron

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.1.1-1bookworm) bookworm; urgency=high

  * Fixes for uncrustify 0.72 (#572 <https://github.com/ros2/rmw_fastrtps/issues/572>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.1.0-1bookworm) bookworm; urgency=high

  * Add client/service QoS getters. (#560 <https://github.com/ros2/rmw_fastrtps/issues/560>)
  * Fix QoS depth settings for clients/service being ignored. (#564 <https://github.com/ros2/rmw_fastrtps/issues/564>)
  * Contributors: Chen Lihui, mauropasse

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Nov 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (6.0.0-1bookworm) bookworm; urgency=high

  * Update rmw_context_impl_t definition. (#558 <https://github.com/ros2/rmw_fastrtps/issues/558>)
  * Update the LoanManager to do internal locking. (#552 <https://github.com/ros2/rmw_fastrtps/issues/552>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 14 Sep 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (5.2.2-1bookworm) bookworm; urgency=high

  * Pass the CRL down to Fast-DDS if available. (#546 <https://github.com/ros2/rmw_fastrtps/issues/546>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 08 Aug 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (5.2.1-1bookworm) bookworm; urgency=high

  * Use the new rmw_dds_common::get_security_files (#544 <https://github.com/ros2/rmw_fastrtps/issues/544>)
  * Support for SubscriptionOptions::ignore_local_publications (#536 <https://github.com/ros2/rmw_fastrtps/issues/536>)
  * Change links from index.ros.org -> docs.ros.org (#539 <https://github.com/ros2/rmw_fastrtps/issues/539>)
  * Contributors: Chris Lalancette, Jose Antonio Moral

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 29 Jun 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (5.2.0-1bookworm) bookworm; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#519 <https://github.com/ros2/rmw_fastrtps/issues/519>)
  * Contributors: Barry Xu

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 03 Jun 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-shared-cpp (5.1.0-1bookworm) bookworm; urgency=high

  * Loan messages implementation (#523 <https://github.com/ros2/rmw_fastrtps/issues/523>)
    * Added is_plain_ attribute to base TypeSupport.
    * Added new methods to base TypeSupport.
    * Implementation of rmw_borrow_loaned_message.
    * Implementation of rmw_return_loaned_message_from_publisher.

