## ros-humble-rmw-fastrtps-shared-cpp 6.2.7

=== debian/changelog ===
ros-humble-rmw-fastrtps-shared-cpp (6.2.7-1bookworm) bookworm; urgency=high

  * Use unique mangled names when creating Content Filter Topics (#762 <https://github.com/ros2/rmw_fastrtps/issues/762>) (#768 <https://github.com/ros2/rmw_fastrtps/issues/768>)
  * Contributors: mergify[bot]

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 25 Jul 2024 16:00:00 -0000
